#!/usr/bin/env bash

set -e

#check to make sure this is a 64-bit machine
getconf LONG_BIT | grep 64 > /dev/null  || ( echo "Git Fusion requires a 64-bit machine. Exiting." && exit 1)
        wget -q http://package.perforce.com/perforce.pubkey -O - | sudo apt-key add - 
#Update sources list with the Perforce Package repo.
sudo echo "deb http://package.perforce.com/apt/ubuntu trusty release" >> /etc/apt/sources.list
sudo apt-get -y install aptitude
sudo aptitude update
sudo aptitude -y install helix-p4d
sudo /opt/perforce/sbin/configure-helix-p4d.sh -n perforce1 -p ssl:1666 -r /opt/perforce/servers/perforce1 -u super -P REinforce --unicode
sudo echo "export P4EDITOR=nano" >> /etc/bash.bashrc
sudo echo "export P4PORT=ssl:localhost:1666" >> /etc/bash.bashrc
sudo echo "export P4CONFIG=.p4config" >> /etc/bash.bashrc
sudo chown -R vagrant /home/vagrant/*
#Create a directory structure, that will be used for the GF admin workspace.
mkdir -p /home/vagrant/workspaces/admin
#Create a password file we use to log in
echo REinforce > hws/passwd
cd /home/vagrant/workspaces/admin
echo "P4USER=super" > .p4config
echo "P4PORT=ssl:localhost:1666" >> .p4config
echo "P4CLIENT=admin" >> .p4config
p4 login < ../../hws/passwd
p4 client -i < /home/vagrant/hws/admin_client
#setup the configurables
chmod +x /home/vagrant/hws/helix_configurables.sh
/home/vagrant/hws/helix_configurables.sh
#setup the ldap spec
p4 ldap -i < /home/vagrant/hws/helix_ldap_spec
#put the p4config file in place
mv /home/vagrant/hws/p4config /home/vagrant/workspaces/admin/.p4config
#Check the server is up
cd /home/vagrant/workspaces/admin
p4 -ztag info

